<?php
/**
 * NW Ajax Drop Cart Class
 *
 * Main class
 *
 * @author 		Netwakies
 * @version 	1.0.0
 * @extends		WC_Widget
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class NW_Widget_Ajax_Drop_Cart extends WP_Widget {

	public function NW_Widget_Ajax_Drop_Cart(  ) {
		// widget actual processes
		parent::__construct( false, 'NW ADCart' );
	}

	public function widget( $args, $instance ) {
		// outputs the content of the widget
		global $woocommerce;

		extract( $args );
		$title = apply_filters( 'widget_title', $instance['title'] );

		echo $before_widget;

		$cart_contents_count = 0;
		$settings = get_option( "nwadcart_plugin_settings" );

		$current_page = "other";
		if(is_shop())
			$current_page = "shop";
		if(is_product_category())
			$current_page = "category";
		if(is_product_tag())
			$current_page = "product_tag";
		if(is_product())
			$current_page = "product";
		if(is_cart())
			$current_page = "cart";
		if(is_checkout())
			$current_page = "checkout";
		if(is_account_page())
			$current_page = "account";

		$display = true;
		if( isset($settings['nwadcart-display-cart']) && !in_array($current_page,(array)$settings['nwadcart-display-cart']) && $current_page!="other")
			$display = false;

		$show_only_individual = false;

		foreach($woocommerce->cart->cart_contents as $key => $product) {

			if($show_only_individual) {
				if($product['data']->product_type=='simple' && !isset($product['bundled_by']) ) $cart_contents_count++;
				if($product['data']->product_type=='bundle') $cart_contents_count++;
				if($product['data']->product_type=='variation') $cart_contents_count++;
			}else {
				if($product['data']->product_type=='simple' && !isset($product['bundled_by']) ) $cart_contents_count += $product['quantity'] ;
				if($product['data']->product_type=='bundle') $cart_contents_count += $product['quantity'];
				if($product['data']->product_type=='variation') $cart_contents_count += $product['quantity'];
			}

		}


		if($display) :
			include_once( NW_Ajax_Drop_Cart::get_template_path('base') );
		endif;
		echo $after_widget;

	}

	public function form( $instance ) {
		if ( isset( $instance[ 'title' ] ) ) {
			$title = $instance[ 'title' ];
		}
		else {
			$title = __( 'Cart', 'nwadcart' );
		}
		?>
		<p>
		<label for="<?php echo $this->get_field_name( 'title' ); ?>"><?php _e( 'Title:', 'nwadcart' ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
		</p>
		<?php
	}

	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['title'] = ( !empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';

		return $instance;
	}

}